# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'gemthief/version'

Gem::Specification.new do |spec|
  spec.name          = "gemthief"
  spec.version       = Gemthief::VERSION

  spec.author        = "Matt Hink"
  spec.email         = "mhink1103@gmail.com"

  spec.summary       = %q{A Ruby Roguelike Framework}
  spec.homepage      = "https://github.com/mhink/gemthief"
  spec.license       = "MIT"

  if spec.respond_to? :metadata
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_dependency 'activesupport', '~> 4.2.5'
  spec.add_dependency 'mono_logger', '~> 1.1.0'
  spec.add_dependency 'curses', '~> 1.0.1'
end
